Subject: Re: [PATCH 1/9] [POWERPC] mv64x60: change FDT compatible prefix to mrvl

From: Dale Farnsworth <[email-masked]>
Date: Fri, 28 Mar 2008 17:00:47 -0700

On Fri, Mar 28, 2008 at 05:47:25PM -0600, Grant Likely wrote:
> On Fri, Mar 28, 2008 at 5:42 PM, Dale Farnsworth <[email-masked]> wrote:
> > From: Dale Farnsworth <[email-masked]>
> >
> >  Follow the convention that compatible names are prefixed by the
> >  vendor's stock ticker symbol.  For Marvell Technology Group Ltd.,
> >  that's MRVL.
> >
> >  Signed-off-by: Dale Farnsworth <[email-masked]>
> >  Acked-by: Mark A. Greer <[email-masked]>
> 
> Are there any boards "in the wild" using the old string?  If so are
> does changing this string risk complicating upgrades to a new kernel
> version?

I don't think this complicates things much, since all these boards boot
a dtbImage, with an embedded dtb file built from the kernel source.
So the dts and code don't have much opportunity to get out of sync.

-Dale